import { SnapshotIn } from 'mobx-state-tree';
export declare const Item: import("mobx-state-tree").IModelType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
    id: import("mobx-state-tree").ISimpleType<string>;
    pristine: import("mobx-state-tree").IType<any, any, any>;
    data: import("mobx-state-tree").IType<any, any, any>;
    index: import("mobx-state-tree").ISimpleType<number>;
    newIndex: import("mobx-state-tree").ISimpleType<number>;
}>, {
    readonly checked: boolean;
    readonly modified: boolean;
    readonly moved: boolean;
    readonly locals: any;
    readonly checkable: boolean;
    readonly draggable: boolean;
} & {
    toggle(): void;
    change(values: object, savePristine?: boolean | undefined): void;
    reset(): void;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare type IItem = typeof Item.Type;
export declare type SItem = SnapshotIn<typeof Item>;
export declare const ListStore: import("mobx-state-tree").IModelType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
    id: import("mobx-state-tree").ISimpleType<string>;
    path: string;
    storeType: import("mobx-state-tree").ISimpleType<string>;
    hasRemoteData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>>;
    data: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
    initedAt: number;
    updatedAt: number;
    pristine: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
    disposed: false;
    parentId: string;
    childrenIds: import("mobx-state-tree").IOptionalIComplexType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>>;
    action: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
    dialogOpen: false;
    dialogData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
    drawerOpen: false;
    drawerData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
}> & import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
    items: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        pristine: import("mobx-state-tree").IType<any, any, any>;
        data: import("mobx-state-tree").IType<any, any, any>;
        index: import("mobx-state-tree").ISimpleType<number>;
        newIndex: import("mobx-state-tree").ISimpleType<number>;
    }>, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: any;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
    selectedItems: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IReferenceType<import("mobx-state-tree").IModelType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        pristine: import("mobx-state-tree").IType<any, any, any>;
        data: import("mobx-state-tree").IType<any, any, any>;
        index: import("mobx-state-tree").ISimpleType<number>;
        newIndex: import("mobx-state-tree").ISimpleType<number>;
    }>, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: any;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>>;
    primaryField: string;
    orderBy: string;
    orderDir: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<"desc" | "asc", "desc" | "asc", "desc" | "asc">>;
    draggable: false;
    dragging: false;
    multiple: true;
    selectable: false;
    itemCheckableOn: string;
    itemDraggableOn: string;
    hideCheckToggler: false;
}>, {
    readonly parentStore: any;
} & {
    initData(data?: object): void;
    reset(): void;
    updateData(data?: object, tag?: object | undefined, replace?: boolean | undefined): void;
    setCurrentAction(action: object): void;
    openDialog(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
    closeDialog(result?: any): void;
    openDrawer(ctx: any, additonal?: object | undefined, callback?: ((ret: any) => void) | undefined): void;
    closeDrawer(result?: any): void;
    onChildDispose(childId: string): void;
    dispose: () => void;
} & {
    readonly allChecked: boolean;
    readonly checkableItems: import("mobx-state-tree").ModelInstanceType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        pristine: import("mobx-state-tree").IType<any, any, any>;
        data: import("mobx-state-tree").IType<any, any, any>;
        index: import("mobx-state-tree").ISimpleType<number>;
        newIndex: import("mobx-state-tree").ISimpleType<number>;
    }>, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: any;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>[];
    readonly unSelectedItems: import("mobx-state-tree").ModelInstanceType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        pristine: import("mobx-state-tree").IType<any, any, any>;
        data: import("mobx-state-tree").IType<any, any, any>;
        index: import("mobx-state-tree").ISimpleType<number>;
        newIndex: import("mobx-state-tree").ISimpleType<number>;
    }>, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: any;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>[];
    isSelected: (item: import("mobx-state-tree").ModelInstanceType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        pristine: import("mobx-state-tree").IType<any, any, any>;
        data: import("mobx-state-tree").IType<any, any, any>;
        index: import("mobx-state-tree").ISimpleType<number>;
        newIndex: import("mobx-state-tree").ISimpleType<number>;
    }>, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: any;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>) => boolean;
    readonly modified: number;
    readonly modifiedItems: import("mobx-state-tree").ModelInstanceType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        pristine: import("mobx-state-tree").IType<any, any, any>;
        data: import("mobx-state-tree").IType<any, any, any>;
        index: import("mobx-state-tree").ISimpleType<number>;
        newIndex: import("mobx-state-tree").ISimpleType<number>;
    }>, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: any;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>[];
    readonly moved: number;
    readonly movedItems: import("mobx-state-tree").ModelInstanceType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        pristine: import("mobx-state-tree").IType<any, any, any>;
        data: import("mobx-state-tree").IType<any, any, any>;
        index: import("mobx-state-tree").ISimpleType<number>;
        newIndex: import("mobx-state-tree").ISimpleType<number>;
    }>, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: any;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>[];
} & {
    update: (config: Partial<import("mobx-state-tree").ModelCreationType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        path: string;
        storeType: import("mobx-state-tree").ISimpleType<string>;
        hasRemoteData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").ISimpleType<boolean>>;
        data: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
        initedAt: number;
        updatedAt: number;
        pristine: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
        disposed: false;
        parentId: string;
        childrenIds: import("mobx-state-tree").IOptionalIComplexType<import("mobx-state-tree").IArrayType<import("mobx-state-tree").ISimpleType<string>>>;
        action: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
        dialogOpen: false;
        dialogData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
        drawerOpen: false;
        drawerData: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<any, any, any>>;
    }> & import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        items: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IModelType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
            id: import("mobx-state-tree").ISimpleType<string>;
            pristine: import("mobx-state-tree").IType<any, any, any>;
            data: import("mobx-state-tree").IType<any, any, any>;
            index: import("mobx-state-tree").ISimpleType<number>;
            newIndex: import("mobx-state-tree").ISimpleType<number>;
        }>, {
            readonly checked: boolean;
            readonly modified: boolean;
            readonly moved: boolean;
            readonly locals: any;
            readonly checkable: boolean;
            readonly draggable: boolean;
        } & {
            toggle(): void;
            change(values: object, savePristine?: boolean | undefined): void;
            reset(): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>;
        selectedItems: import("mobx-state-tree").IArrayType<import("mobx-state-tree").IReferenceType<import("mobx-state-tree").IModelType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
            id: import("mobx-state-tree").ISimpleType<string>;
            pristine: import("mobx-state-tree").IType<any, any, any>;
            data: import("mobx-state-tree").IType<any, any, any>;
            index: import("mobx-state-tree").ISimpleType<number>;
            newIndex: import("mobx-state-tree").ISimpleType<number>;
        }>, {
            readonly checked: boolean;
            readonly modified: boolean;
            readonly moved: boolean;
            readonly locals: any;
            readonly checkable: boolean;
            readonly draggable: boolean;
        } & {
            toggle(): void;
            change(values: object, savePristine?: boolean | undefined): void;
            reset(): void;
        }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>>>;
        primaryField: string;
        orderBy: string;
        orderDir: import("mobx-state-tree").IOptionalIType<import("mobx-state-tree").IType<"desc" | "asc", "desc" | "asc", "desc" | "asc">>;
        draggable: false;
        dragging: false;
        multiple: true;
        selectable: false;
        itemCheckableOn: string;
        itemDraggableOn: string;
        hideCheckToggler: false;
    }>>>) => void;
    initItems: (items: object[]) => void;
    updateSelected: (selected: any[], valueField?: string | undefined) => void;
    toggleAll: () => void;
    toggle: (item: import("mobx-state-tree").ModelInstanceType<import("mobx-state-tree").ModelPropertiesDeclarationToProperties<{
        id: import("mobx-state-tree").ISimpleType<string>;
        pristine: import("mobx-state-tree").IType<any, any, any>;
        data: import("mobx-state-tree").IType<any, any, any>;
        index: import("mobx-state-tree").ISimpleType<number>;
        newIndex: import("mobx-state-tree").ISimpleType<number>;
    }>, {
        readonly checked: boolean;
        readonly modified: boolean;
        readonly moved: boolean;
        readonly locals: any;
        readonly checkable: boolean;
        readonly draggable: boolean;
    } & {
        toggle(): void;
        change(values: object, savePristine?: boolean | undefined): void;
        reset(): void;
    }, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>) => void;
    clear: () => void;
    setOrderByInfo: (key: string, direction: "desc" | "asc") => void;
    reset: () => void;
    toggleDragging: () => void;
    stopDragging: () => void;
    exchange: (fromIndex: number, toIndex: number) => void;
}, import("mobx-state-tree")._NotCustomized, import("mobx-state-tree")._NotCustomized>;
export declare type IListStore = typeof ListStore.Type;
export declare type SListStore = SnapshotIn<typeof ListStore>;
